@echo off

:: PATH should contain path to yjpagent.dll
set OLD_PATH=%PATH%
set PATH=..\..\bin\win32;%PATH%

:: This example runs only on Java 5 or newer, and we explicitly use -agentlib
java.exe -agentlib:yjpagent -classpath ..\..\lib\yjp.jar;classes APIDemo2

if errorlevel 1 goto error

goto finish

:error

echo.
echo HINT: This example demonstrates portions of the profiler API supported only for Java 5
echo or newer. Please make sure appropriate java.exe in the PATH, or alter %0, specifing
echo full path to appropriate java.exe

:finish

:: restore PATH
set PATH=%OLD_PATH%
echo Press any key...
pause >nul
